# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTabBar Class Reference

Since:
  3.2

More...

`#include <ktabbar.h>`

Inheritance diagram for KTabBar:

[legend]
Collaboration diagram for KTabBar:

[legend]
List of all members.

## Signals

void | contextMenu (int, const QPoint &)
void | mouseDoubleClick (int)
void | mouseMiddleClick (int)
void | initiateDrag (int)
void | testCanDecode (const QDragMoveEvent *e, bool &accept)
void | receivedDropEvent (int, QDropEvent *)
void | moveTab (int, int)
void | closeRequest (int)
void | wheelDelta (int)

## Public Member Functions

| KTabBar (QWidget *parent=0, const char *name=0)
virtual void | setTabEnabled (int, bool)
const QColor & | tabColor (int) const
void | setTabColor (int, const QColor &)
virtual int | insertTab (QTab *, int index=-1)
virtual void | removeTab (QTab *)
void | setTabReorderingEnabled (bool enable)
bool | isTabReorderingEnabled () const
void | setHoverCloseButton (bool)
bool | hoverCloseButton () const
void | setHoverCloseButtonDelayed (bool)
bool | hoverCloseButtonDelayed () const
void | setTabCloseActivatePrevious (bool)
bool | tabCloseActivatePrevious () const

## Protected Slots

virtual void | closeButtonClicked ()
virtual void | onLayoutChange ()
virtual void | enableCloseButton ()
virtual void | activateDragSwitchTab ()

## Protected Member Functions

virtual void | mouseDoubleClickEvent (QMouseEvent *e)
virtual void | mousePressEvent (QMouseEvent *e)
virtual void | mouseMoveEvent (QMouseEvent *e)
virtual void | mouseReleaseEvent (QMouseEvent *e)
virtual void | wheelEvent (QWheelEvent *e)
virtual void | dragMoveEvent (QDragMoveEvent *e)
virtual void | dropEvent (QDropEvent *e)
virtual void | paintLabel (QPainter *, const QRect &, QTab *, bool) const

## Detailed Description

Since:
  3.2

Definition at line 35 of file ktabbar.h.

The documentation for this class was generated from the following files:

- ktabbar.h
- ktabbar.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:26 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003